/* Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @file  ap_config_layout.h
 * @brief Apache Config Layout
 */

#ifndef AP_CONFIG_LAYOUT_H
#define AP_CONFIG_LAYOUT_H

/* Configured Apache directory layout */
#define DEFAULT_PREFIX "/etc/puppetlabs/httpd"
#define DEFAULT_EXP_EXEC_PREFIX "/opt/puppet"
#define DEFAULT_REL_EXEC_PREFIX "/opt/puppet"
#define DEFAULT_EXP_BINDIR "/opt/puppet/bin"
#define DEFAULT_REL_BINDIR "/opt/puppet/bin"
#define DEFAULT_EXP_SBINDIR "/opt/puppet/sbin"
#define DEFAULT_REL_SBINDIR "/opt/puppet/sbin"
#define DEFAULT_EXP_MANDIR "/opt/puppet/share/man"
#define DEFAULT_REL_MANDIR "/opt/puppet/share/man"
#define DEFAULT_EXP_SYSCONFDIR "/etc/puppetlabs/httpd/conf"
#define DEFAULT_REL_SYSCONFDIR "conf"
#define DEFAULT_EXP_DATADIR "/opt/puppet/var/www"
#define DEFAULT_REL_DATADIR "/opt/puppet/var/www"
#define DEFAULT_EXP_ERRORDIR "/opt/puppet/var/www/error"
#define DEFAULT_REL_ERRORDIR "/opt/puppet/var/www/error"
#define DEFAULT_EXP_ICONSDIR "/opt/puppet/var/www/icons"
#define DEFAULT_REL_ICONSDIR "/opt/puppet/var/www/icons"
#define DEFAULT_EXP_HTDOCSDIR "/opt/puppet/var/www/htdocs"
#define DEFAULT_REL_HTDOCSDIR "/opt/puppet/var/www/htdocs"
#define DEFAULT_EXP_MANUALDIR "/opt/puppet/var/www/manual"
#define DEFAULT_REL_MANUALDIR "/opt/puppet/var/www/manual"
#define DEFAULT_EXP_CGIDIR "/opt/puppet/var/www/cgi-bin"
#define DEFAULT_REL_CGIDIR "/opt/puppet/var/www/cgi-bin"
#define DEFAULT_EXP_INCLUDEDIR "/opt/puppet/include/httpd"
#define DEFAULT_REL_INCLUDEDIR "/opt/puppet/include/httpd"
#define DEFAULT_EXP_LOCALSTATEDIR "/etc/puppetlabs/httpd"
#define DEFAULT_REL_LOCALSTATEDIR ""
#define DEFAULT_EXP_RUNTIMEDIR "/etc/puppetlabs/httpd/logs"
#define DEFAULT_REL_RUNTIMEDIR "logs"
#define DEFAULT_EXP_LOGFILEDIR "/etc/puppetlabs/httpd/logs"
#define DEFAULT_REL_LOGFILEDIR "logs"
#define DEFAULT_EXP_PROXYCACHEDIR "/etc/puppetlabs/httpd/proxy"
#define DEFAULT_REL_PROXYCACHEDIR "proxy"

#endif /* AP_CONFIG_LAYOUT_H */
